package gg

// The interface must
// me implemented for all the
// in-game logic objects.
type Object interface {
	Drawer
	OnStart(Context)
	OnUpdate(Context)
	OnDelete(Context)
	GetTags(Context) TagMap
}


